Package com.orchestranetworks.ui

# Class UITableCellStyleHandler

java.lang.Object
com.orchestranetworks.ui.UITableCellStyleHandler

public final class UITableCellStyleHandler extends Object
This class is used to define table cell styles for a UI bean editor.

It can be accessed from `UIResponseContext.getTableCellStyleHandler()`.

Since:
  5.2.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `UITableCellStyleHandler.BackgroundRepeat`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBackgroundColor()`
  Returns the background color set for the cell.
  `String`
  `getBackgroundImage()`
  Returns the background image set for the cell.
  `String`
  `getBackgroundPosition()`
  Returns the background position set for the cell.
  `UITableCellStyleHandler.BackgroundRepeat`
  `getBackgroundRepeat()`
  Returns the background repeat set for the cell.
  `boolean`
  `isEmpty()`
  Returns `true` if a least one property (color/image/position) has been set, `false` otherwise.
  `boolean`
  `setBackgroundColor(String htmlBackgroundColor)`
  Sets a background color for the cell.
  `void`
  `setBackgroundImage(String imageURL, UITableCellStyleHandler.BackgroundRepeat backgroundRepeat)`
  Sets a background image for the cell.
  `void`
  `setBackgroundImage(String imageURL, UITableCellStyleHandler.BackgroundRepeat backgroundRepeat, String backgroundPosition)`
  Sets a background image for the cell.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isEmpty

    public boolean isEmpty()
    Returns `true` if a least one property (color/image/position) has been set, `false` otherwise.

  - ### setBackgroundColor

    public boolean setBackgroundColor(String htmlBackgroundColor)
    Sets a background color for the cell.
    Parameters:
      `htmlBackgroundColor` - accepts HTML hexadecimal RGB colors, for example, light orange could be expressed as #FFDD99, FFDD99, #FD9 or FD9.
    Returns:
      `true` if `htmlBackgroundColor` is well formed, otherwise returns `false`.

  - ### setBackgroundImage

    public void setBackgroundImage(String imageURL, UITableCellStyleHandler.BackgroundRepeat backgroundRepeat)
    Sets a background image for the cell.
    Parameters:
      `imageURL` - the URL of the background image.
      `backgroundRepeat` - the repeat mode of the background image.

  - ### setBackgroundImage

    public void setBackgroundImage(String imageURL, UITableCellStyleHandler.BackgroundRepeat backgroundRepeat, String backgroundPosition)
    Sets a background image for the cell.
    Parameters:
      `imageURL` - the URL of the background image.
      `backgroundRepeat` - the repeat mode of the background image.
      `backgroundPosition` - the CSS position of the background image ("left center" or "50% 50%" or "0px 10px" ...).

  - ### getBackgroundColor

    public String getBackgroundColor()
    Returns the background color set for the cell.

  - ### getBackgroundImage

    public String getBackgroundImage()
    Returns the background image set for the cell.

  - ### getBackgroundRepeat

    public UITableCellStyleHandler.BackgroundRepeat getBackgroundRepeat()
    Returns the background repeat set for the cell.

  - ### getBackgroundPosition

    public String getBackgroundPosition()
    Returns the background position set for the cell.